Index: devel/gnatcoll/Makefile
===================================================================
--- devel/gnatcoll/Makefile	(revision 416664)
+++ devel/gnatcoll/Makefile	(working copy)
@@ -2,11 +2,8 @@
 # $FreeBSD$
 
 PORTNAME=	gnatcoll
-PORTVERSION=	2015
-PORTREVISION=	2
+PORTVERSION=	2016	# branch: gpl-for-gps-2016
 CATEGORIES=	devel
-MASTER_SITES=	http://downloads.dragonlace.net/src/
-DISTNAME=	${PORTNAME}-gpl-${PORTVERSION}-src
 
 MAINTAINER=	marino@FreeBSD.org
 COMMENT=	GNAT Component Collection from Adacore
@@ -13,7 +10,7 @@
 
 LICENSE=	GPLv3
 
-BUILD_DEPENDS=	gprbuild>=20120510:devel/gprbuild \
+BUILD_DEPENDS=	gprbuild:devel/gprbuild \
 		gnat_util>=20140422:lang/gnat_util
 LIB_DEPENDS=	libgtkada.so:x11-toolkits/gtkada3 \
 		libgmp.so:math/gmp
@@ -21,66 +18,66 @@
 
 USES=		ada gmake pkgconfig python
 USE_GNOME=	pygobject3
+USE_GITHUB=	yes
+GH_ACCOUNT=	AdaCore
+GH_PROJECT=	gprbuild:libgpr
+GH_TAGNAME=	858f72c a2e9066:libgpr
+
 PYCOMPILE=	${PREFIX}/lib/${PYTHON_VERSION}/compileall.py
 GNU_CONFIGURE=	yes
-PORTDOCS=	html gnatcoll.pdf
+ALL_TARGET=	all
+PORTDOCS=	*
 PORTEXAMPLES=	*
 
 MAKE_ARGS=	PROCESSORS=${MAKE_JOBS_NUMBER} \
 		Gnatcoll_Build=Production
 
-OPTIONS_DEFINE=		READLINE SYSLOG PGSQL ICONV DOCS EXAMPLES
+OPTIONS_DEFINE=		READLINE SYSLOG PGSQL DOCS EXAMPLES
 OPTIONS_DEFAULT=	READLINE SYSLOG
 OPTIONS_SUB=		yes
+
 DOCS_BUILD_DEPENDS=	sphinx-build:textproc/py-sphinx
+DOCS_ALL_TARGET=	docs
 SYSLOG_CONFIGURE_ENABLE=	syslog
 
 CONFIGURE_TARGET=	${ARCH:S/amd64/x86_64/}-aux-${OPSYS:tl}${OSREL}
 CONFIGURE_ARGS=		--with-gmp=${PREFIX} \
 			--with-sqlite=embedded \
-			--with-python=${PREFIX} \
+			--with-python_exec=${PYTHON_CMD} \
 			--with-gtk=3.0 \
+			--without-iconv \
 			--enable-pygobject \
+			--enable-projects \
 			--disable-shared \
 			--disable-pygtk
 
-.include <bsd.port.options.mk>
+READLINE_USES=		readline:port
+READLINE_CONFIGURE_ON=	--enable-gpl
+READLINE_CONFIGURE_OFF=	--disable-readline
 
-.if ${PORT_OPTIONS:MREADLINE}
-USES+=			readline:port
-CONFIGURE_ARGS+=	--enable-gpl
-.else
-CONFIGURE_ARGS+=	--disable-readline
-.endif
+PGSQL_USES=		pgsql
+PGSQL_CONFIGURE_ON=	--with-postgresql=${PREFIX}
+PGSQL_CONFIGURE_OFF=	--without-postgresql
 
-.if ${PORT_OPTIONS:MPGSQL}
-USES+=			pgsql
-CONFIGURE_ARGS+=	--with-postgresql=${PREFIX}
-.else
-CONFIGURE_ARGS+=	--without-postgresql
-.endif
+.include <bsd.port.options.mk>
 
-# There might be something wrong with iconv support as seen in GPS crash.
-# That's why this option is not enabled by default
-.if ${PORT_OPTIONS:MICONV}
-USES+=			iconv
-CONFIGURE_ARGS+=	--with-iconv=${ICONV_PREFIX}
-.else
-CONFIGURE_ARGS+=	--without-iconv
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e "s|@PREFIX@|${PREFIX}|g" \
 	    ${WRKSRC}/src/gnatcoll_readline.gpr.in
-.if ! ${PORT_OPTIONS:MDOCS}
-	${MV} ${WRKSRC}/docs/_build ${WRKSRC}/docs/_hide_build
-.endif
+	@${REINPLACE_CMD} -e 's|with "gpr"|with "${WRKSRC_libgpr}/gpr/gpr"|' \
+		${WRKSRC}/src/gnatcoll__libgpr.gpr
 
+pre-build:
+	(cd ${WRKSRC_libgpr}/gpr && ${SETENV} ${MAKE_ENV} \
+		gprbuild -p -P gpr);
+
 do-build:
-	cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} \
-		${MAKE_CMD} ${MAKE_ARGS} ${ALL_TARGET}
+	(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} \
+		${MAKE_CMD} ${MAKE_ARGS} ${ALL_TARGET})
 
 post-install:
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/gnatcoll_db2ada
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/gnatinspect
 	${RM} -r ${STAGEDIR}${DOCSDIR}/html/_sources
 	${RM} -r ${STAGEDIR}${PREFIX}/share/gps
 	${RM} -r ${STAGEDIR}${EXAMPLESDIR}/library
Index: devel/gnatcoll/distinfo
===================================================================
--- devel/gnatcoll/distinfo	(revision 416664)
+++ devel/gnatcoll/distinfo	(working copy)
@@ -1,2 +1,5 @@
-SHA256 (gnatcoll-gpl-2015-src.tar.gz) = ed27220497db6e4a540549e739323337427c069e7a1078cb06d0df52001f5b36
-SIZE (gnatcoll-gpl-2015-src.tar.gz) = 5337526
+TIMESTAMP = 1465650872
+SHA256 (AdaCore-gnatcoll-2016-858f72c_GH0.tar.gz) = 18e3470eacad2e445d34621a2ed7a24a32548dc3210d9aa5ae774a58e623d746
+SIZE (AdaCore-gnatcoll-2016-858f72c_GH0.tar.gz) = 4369484
+SHA256 (AdaCore-gprbuild-a2e9066_GH0.tar.gz) = 6f35607ef16e81aa76bb0e5a78bf89d0d54ce691fda50517d50e18540db8aaa5
+SIZE (AdaCore-gprbuild-a2e9066_GH0.tar.gz) = 4254762
Index: devel/gnatcoll/files/patch-configure
===================================================================
--- devel/gnatcoll/files/patch-configure	(revision 416664)
+++ devel/gnatcoll/files/patch-configure	(working copy)
@@ -1,6 +1,6 @@
---- configure.orig	2015-04-30 10:51:26 UTC
+--- configure.orig	2016-05-19 14:39:16 UTC
 +++ configure
-@@ -3911,7 +3911,7 @@ $as_echo_n "checking if we can link with
+@@ -3910,7 +3910,7 @@ $as_echo_n "checking if we can link with
              ia64-*hp-hpux11* )
                 PYTHON_LIBS="-ldld -ldl -lm -Wl,-E ${PYTHON_LIBS}"
                 ;;
Index: devel/gnatcoll/pkg-plist
===================================================================
--- devel/gnatcoll/pkg-plist	(revision 416664)
+++ devel/gnatcoll/pkg-plist	(working copy)
@@ -1,200 +1,276 @@
+%%DATADIR%%/dborm.py
+%%PGSQL%%include/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres-gnade.adb
+%%PGSQL%%include/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres-gnade.ads
+%%PGSQL%%include/gnatcoll/gnatcoll_postgres.static/postgres_support.c
+%%PGSQL%%lib/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres-gnade.ali
 bin/gnatcoll_db2ada
 bin/gnatinspect
-include/gnatcoll/gnatcoll-any_types-python.adb
-include/gnatcoll/gnatcoll-any_types-python.ads
-include/gnatcoll/gnatcoll-any_types.adb
-include/gnatcoll/gnatcoll-any_types.ads
-include/gnatcoll/gnatcoll-arg_lists.adb
-include/gnatcoll/gnatcoll-arg_lists.ads
-include/gnatcoll/gnatcoll-atomic.adb
-include/gnatcoll/gnatcoll-atomic.ads
-include/gnatcoll/gnatcoll-boyer_moore.adb
-include/gnatcoll/gnatcoll-boyer_moore.ads
-include/gnatcoll/gnatcoll-config.adb
-include/gnatcoll/gnatcoll-config.ads
-include/gnatcoll/gnatcoll-email-mailboxes.adb
-include/gnatcoll/gnatcoll-email-mailboxes.ads
-include/gnatcoll/gnatcoll-email-parser.adb
-include/gnatcoll/gnatcoll-email-parser.ads
-include/gnatcoll/gnatcoll-email-utils.adb
-include/gnatcoll/gnatcoll-email-utils.ads
-include/gnatcoll/gnatcoll-email.adb
-include/gnatcoll/gnatcoll-email.ads
-include/gnatcoll/gnatcoll-geometry.adb
-include/gnatcoll/gnatcoll-geometry.ads
-include/gnatcoll/gnatcoll-gmp-integers-io.adb
-include/gnatcoll/gnatcoll-gmp-integers-io.ads
-include/gnatcoll/gnatcoll-gmp-integers-misc.adb
-include/gnatcoll/gnatcoll-gmp-integers-misc.ads
-include/gnatcoll/gnatcoll-gmp-integers-number_theoretic.adb
-include/gnatcoll/gnatcoll-gmp-integers-number_theoretic.ads
-include/gnatcoll/gnatcoll-gmp-integers-random.adb
-include/gnatcoll/gnatcoll-gmp-integers-random.ads
-include/gnatcoll/gnatcoll-gmp-integers-root_extraction.adb
-include/gnatcoll/gnatcoll-gmp-integers-root_extraction.ads
-include/gnatcoll/gnatcoll-gmp-integers.adb
-include/gnatcoll/gnatcoll-gmp-integers.ads
-include/gnatcoll/gnatcoll-gmp-lib.ads
-include/gnatcoll/gnatcoll-gmp-random_state.adb
-include/gnatcoll/gnatcoll-gmp-random_state.ads
-include/gnatcoll/gnatcoll-gmp.ads
-include/gnatcoll/gnatcoll-iconv.adb
-include/gnatcoll/gnatcoll-iconv.ads
-include/gnatcoll/gnatcoll-io-native-codec__unix.adb
-include/gnatcoll/gnatcoll-io-native-codec__win32.adb
-include/gnatcoll/gnatcoll-io-native.adb
-include/gnatcoll/gnatcoll-io-native.ads
-include/gnatcoll/gnatcoll-io-remote-unix.adb
-include/gnatcoll/gnatcoll-io-remote-unix.ads
-include/gnatcoll/gnatcoll-io-remote-windows.adb
-include/gnatcoll/gnatcoll-io-remote-windows.ads
-include/gnatcoll/gnatcoll-io-remote.adb
-include/gnatcoll/gnatcoll-io-remote.ads
-include/gnatcoll/gnatcoll-io.adb
-include/gnatcoll/gnatcoll-io.ads
-include/gnatcoll/gnatcoll-json-utility.adb
-include/gnatcoll/gnatcoll-json-utility.ads
-include/gnatcoll/gnatcoll-json.adb
-include/gnatcoll/gnatcoll-json.ads
-include/gnatcoll/gnatcoll-memory.adb
-include/gnatcoll/gnatcoll-memory.ads
-include/gnatcoll/gnatcoll-mmap-system__unix.adb
-include/gnatcoll/gnatcoll-mmap-system__unix.ads
-include/gnatcoll/gnatcoll-mmap-system__win32.adb
-include/gnatcoll/gnatcoll-mmap-system__win32.ads
-include/gnatcoll/gnatcoll-mmap.adb
-include/gnatcoll/gnatcoll-mmap.ads
-include/gnatcoll/gnatcoll-paragraph_filling-badnesses.adb
-include/gnatcoll/gnatcoll-paragraph_filling-badnesses.ads
-include/gnatcoll/gnatcoll-paragraph_filling-words.adb
-include/gnatcoll/gnatcoll-paragraph_filling-words.ads
-include/gnatcoll/gnatcoll-paragraph_filling.adb
-include/gnatcoll/gnatcoll-paragraph_filling.ads
-include/gnatcoll/gnatcoll-path.adb
-include/gnatcoll/gnatcoll-path.ads
-include/gnatcoll/gnatcoll-pools.adb
-include/gnatcoll/gnatcoll-pools.ads
-include/gnatcoll/gnatcoll-projects-aux.adb
-include/gnatcoll/gnatcoll-projects-aux.ads
-include/gnatcoll/gnatcoll-projects-normalize.adb
-include/gnatcoll/gnatcoll-projects-normalize.ads
-include/gnatcoll/gnatcoll-projects.adb
-include/gnatcoll/gnatcoll-projects.ads
-include/gnatcoll/gnatcoll-python.adb
-include/gnatcoll/gnatcoll-python.ads
-include/gnatcoll/gnatcoll-ravenscar-multiple_queue_cyclic_server.adb
-include/gnatcoll/gnatcoll-ravenscar-multiple_queue_cyclic_server.ads
-include/gnatcoll/gnatcoll-ravenscar-multiple_queue_sporadic_server.adb
-include/gnatcoll/gnatcoll-ravenscar-multiple_queue_sporadic_server.ads
-include/gnatcoll/gnatcoll-ravenscar-simple_cyclic_task.adb
-include/gnatcoll/gnatcoll-ravenscar-simple_cyclic_task.ads
-include/gnatcoll/gnatcoll-ravenscar-simple_sporadic_task.adb
-include/gnatcoll/gnatcoll-ravenscar-simple_sporadic_task.ads
-include/gnatcoll/gnatcoll-ravenscar-sporadic_server.adb
-include/gnatcoll/gnatcoll-ravenscar-sporadic_server.ads
-include/gnatcoll/gnatcoll-ravenscar-sporadic_server_with_callback.adb
-include/gnatcoll/gnatcoll-ravenscar-sporadic_server_with_callback.ads
-include/gnatcoll/gnatcoll-ravenscar-timed_out_sporadic_server.adb
-include/gnatcoll/gnatcoll-ravenscar-timed_out_sporadic_server.ads
-include/gnatcoll/gnatcoll-ravenscar-timers-one_shot_timer.adb
-include/gnatcoll/gnatcoll-ravenscar-timers-one_shot_timer.ads
-include/gnatcoll/gnatcoll-ravenscar-timers.ads
-include/gnatcoll/gnatcoll-ravenscar-utils.adb
-include/gnatcoll/gnatcoll-ravenscar-utils.ads
-include/gnatcoll/gnatcoll-ravenscar.ads
-include/gnatcoll/gnatcoll-readline.adb
-include/gnatcoll/gnatcoll-readline.ads
-include/gnatcoll/gnatcoll-refcount-weakref.adb
-include/gnatcoll/gnatcoll-refcount-weakref.ads
-include/gnatcoll/gnatcoll-refcount.adb
-include/gnatcoll/gnatcoll-refcount.ads
-include/gnatcoll/gnatcoll-remote-db.adb
-include/gnatcoll/gnatcoll-remote-db.ads
-include/gnatcoll/gnatcoll-remote.ads
-include/gnatcoll/gnatcoll-scripts-files.adb
-include/gnatcoll/gnatcoll-scripts-files.ads
-include/gnatcoll/gnatcoll-scripts-gtkada.adb
-include/gnatcoll/gnatcoll-scripts-gtkada.ads
-include/gnatcoll/gnatcoll-scripts-impl.adb
-include/gnatcoll/gnatcoll-scripts-impl.ads
-include/gnatcoll/gnatcoll-scripts-python-gtkada.adb
-include/gnatcoll/gnatcoll-scripts-python-gtkada.ads
-include/gnatcoll/gnatcoll-scripts-projects.adb
-include/gnatcoll/gnatcoll-scripts-projects.ads
-include/gnatcoll/gnatcoll-scripts-python.adb
-include/gnatcoll/gnatcoll-scripts-python.ads
-include/gnatcoll/gnatcoll-scripts-shell.adb
-include/gnatcoll/gnatcoll-scripts-shell.ads
-include/gnatcoll/gnatcoll-scripts-utils.adb
-include/gnatcoll/gnatcoll-scripts-utils.ads
-include/gnatcoll/gnatcoll-scripts.adb
-include/gnatcoll/gnatcoll-scripts.ads
-include/gnatcoll/gnatcoll-sql-exec-tasking.adb
-include/gnatcoll/gnatcoll-sql-exec-tasking.ads
-include/gnatcoll/gnatcoll-sql-exec.adb
-include/gnatcoll/gnatcoll-sql-exec.ads
-include/gnatcoll/gnatcoll-sql-exec_private.adb
-include/gnatcoll/gnatcoll-sql-exec_private.ads
-include/gnatcoll/gnatcoll-sql-inspect.adb
-include/gnatcoll/gnatcoll-sql-inspect.ads
-include/gnatcoll/gnatcoll-sql-orm-impl.adb
-include/gnatcoll/gnatcoll-sql-orm-impl.ads
-include/gnatcoll/gnatcoll-sql-orm.adb
-include/gnatcoll/gnatcoll-sql-orm.ads
-include/gnatcoll/gnatcoll-sql-postgres-builder.adb
-include/gnatcoll/gnatcoll-sql-postgres-builder.ads
-%%PGSQL%%include/gnatcoll/gnatcoll-sql-postgres-gnade.adb
-%%PGSQL%%include/gnatcoll/gnatcoll-sql-postgres-gnade.ads
-include/gnatcoll/gnatcoll-sql-postgres.adb
-include/gnatcoll/gnatcoll-sql-postgres.ads
-include/gnatcoll/gnatcoll-sql-sessions.adb
-include/gnatcoll/gnatcoll-sql-sessions.ads
-include/gnatcoll/gnatcoll-sql-sqlite-builder.adb
-include/gnatcoll/gnatcoll-sql-sqlite-builder.ads
-include/gnatcoll/gnatcoll-sql-sqlite-gnade.adb
-include/gnatcoll/gnatcoll-sql-sqlite-gnade.ads
-include/gnatcoll/gnatcoll-sql-sqlite.adb
-include/gnatcoll/gnatcoll-sql-sqlite.ads
-include/gnatcoll/gnatcoll-sql.adb
-include/gnatcoll/gnatcoll-sql.ads
-include/gnatcoll/gnatcoll-sql_impl.adb
-include/gnatcoll/gnatcoll-sql_impl.ads
-include/gnatcoll/gnatcoll-storage_pools-alignment.adb
-include/gnatcoll/gnatcoll-storage_pools-alignment.ads
-include/gnatcoll/gnatcoll-storage_pools.ads
-include/gnatcoll/gnatcoll-symbols.adb
-include/gnatcoll/gnatcoll-symbols.ads
-include/gnatcoll/gnatcoll-templates.adb
-include/gnatcoll/gnatcoll-templates.ads
-include/gnatcoll/gnatcoll-terminal.adb
-include/gnatcoll/gnatcoll-terminal.ads
-include/gnatcoll/gnatcoll-traces-syslog.adb
-include/gnatcoll/gnatcoll-traces-syslog.ads
-include/gnatcoll/gnatcoll-traces.adb
-include/gnatcoll/gnatcoll-traces.ads
-include/gnatcoll/gnatcoll-tribooleans.adb
-include/gnatcoll/gnatcoll-tribooleans.ads
-include/gnatcoll/gnatcoll-utils.adb
-include/gnatcoll/gnatcoll-utils.ads
-include/gnatcoll/gnatcoll-vfs-gtkada.adb
-include/gnatcoll/gnatcoll-vfs-gtkada.ads
-include/gnatcoll/gnatcoll-vfs.adb
-include/gnatcoll/gnatcoll-vfs.ads
-include/gnatcoll/gnatcoll-vfs_types.ads
-include/gnatcoll/gnatcoll-vfs_utils.adb
-include/gnatcoll/gnatcoll-vfs_utils.ads
-include/gnatcoll/gnatcoll-xref.adb
-include/gnatcoll/gnatcoll-xref.ads
-include/gnatcoll/gnatcoll.ads
+include/gnatcoll/gnatcoll.static/getRSS.c
+include/gnatcoll/gnatcoll.static/gnatcoll-any_types.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-any_types.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-arg_lists.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-arg_lists.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-atomic.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-atomic__intrinsic.ada
+include/gnatcoll/gnatcoll.static/gnatcoll-boyer_moore.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-boyer_moore.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-config.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-config.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-email-mailboxes.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-email-mailboxes.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-email-parser.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-email-parser.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-email-utils.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-email-utils.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-email.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-email.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-geometry.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-geometry.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-io-native-codec__unix.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-io-native.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-io-native.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-io-remote-unix.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-io-remote-unix.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-io-remote-windows.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-io-remote-windows.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-io-remote.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-io-remote.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-io.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-io.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-json-utility.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-json-utility.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-json.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-json.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-memory.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-memory.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-mmap-system__unix.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-mmap-system__unix.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-mmap.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-mmap.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling-badnesses.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling-badnesses.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling-words.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling-words.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-paragraph_filling.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-path.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-path.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-pools.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-pools.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-projects-aux.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-projects-aux.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-projects-krunch.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-projects-krunch.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-projects-normalize.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-projects-normalize.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-projects.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-projects.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-multiple_queue_cyclic_server.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-multiple_queue_cyclic_server.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-multiple_queue_sporadic_server.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-multiple_queue_sporadic_server.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-simple_cyclic_task.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-simple_cyclic_task.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-simple_sporadic_task.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-simple_sporadic_task.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-sporadic_server.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-sporadic_server.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-sporadic_server_with_callback.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-sporadic_server_with_callback.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timed_out_sporadic_server.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timed_out_sporadic_server.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timers-one_shot_timer.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timers-one_shot_timer.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-timers.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-utils.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar-utils.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-ravenscar.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-refcount-weakref.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-refcount-weakref.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-refcount.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-refcount.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-remote-db.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-remote-db.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-remote.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-files.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-files.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-impl.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-impl.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-projects.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-projects.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-shell.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-shell.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-utils.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts-utils.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-scripts.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-exec-tasking.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-exec-tasking.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-exec.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-exec.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-exec_private.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-exec_private.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-inspect.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-inspect.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-orm-impl.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-orm-impl.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-orm.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-orm.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-sessions.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql-sessions.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-sql_impl.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-sql_impl.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-storage_pools-alignment.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-storage_pools-alignment.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-storage_pools-headers.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-storage_pools-headers.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-storage_pools.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-symbols.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-symbols.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-templates.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-templates.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-terminal.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-terminal.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-traces-syslog.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-traces-syslog.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-traces.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-traces.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-tribooleans.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-tribooleans.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-utils.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-utils.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-vfs.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-vfs.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-vfs_types.ads
+include/gnatcoll/gnatcoll.static/gnatcoll-vfs_utils.adb
+include/gnatcoll/gnatcoll.static/gnatcoll-vfs_utils.ads
+include/gnatcoll/gnatcoll.static/gnatcoll.ads
+include/gnatcoll/gnatcoll.static/gnatcoll_support.c
+include/gnatcoll/gnatcoll.static/link_max.c
+include/gnatcoll/gnatcoll.static/objlist_file.c
+include/gnatcoll/gnatcoll.static/run_path_option.c
+include/gnatcoll/gnatcoll.static/separate_run_path_option.c
+include/gnatcoll/gnatcoll.static/set_std_prefix.c
+include/gnatcoll/gnatcoll.static/terminals.c
+include/gnatcoll/gnatcoll.static/update_path.c
+include/gnatcoll/gnatcoll_gmp.static/gmp_support.c
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-io.adb
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-io.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-misc.adb
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-misc.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-number_theoretic.adb
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-number_theoretic.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-random.adb
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-random.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-root_extraction.adb
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers-root_extraction.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers.adb
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-integers.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-lib.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-mpz_even_p.c
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-mpz_odd_p.c
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-mpz_sign.c
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-random_state.adb
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp-random_state.ads
+include/gnatcoll/gnatcoll_gmp.static/gnatcoll-gmp.ads
+include/gnatcoll/gnatcoll_gtk.static/gnatcoll-scripts-gtkada.adb
+include/gnatcoll/gnatcoll_gtk.static/gnatcoll-scripts-gtkada.ads
+include/gnatcoll/gnatcoll_gtk.static/gnatcoll-scripts-python-gtkada.adb
+include/gnatcoll/gnatcoll_gtk.static/gnatcoll-scripts-python-gtkada.ads
+include/gnatcoll/gnatcoll_gtk.static/gnatcoll-vfs-gtkada.adb
+include/gnatcoll/gnatcoll_gtk.static/gnatcoll-vfs-gtkada.ads
+include/gnatcoll/gnatcoll_gtk.static/python_support_gtk.c
+include/gnatcoll/gnatcoll_iconv.static/gnatcoll-iconv.adb
+include/gnatcoll/gnatcoll_iconv.static/gnatcoll-iconv.ads
+include/gnatcoll/gnatcoll_iconv.static/iconv_support.c
+include/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres-builder.adb
+include/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres-builder.ads
+include/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres.adb
+include/gnatcoll/gnatcoll_postgres.static/gnatcoll-sql-postgres.ads
+include/gnatcoll/gnatcoll_python.static/gnatcoll-any_types-python.adb
+include/gnatcoll/gnatcoll_python.static/gnatcoll-any_types-python.ads
+include/gnatcoll/gnatcoll_python.static/gnatcoll-python.adb
+include/gnatcoll/gnatcoll_python.static/gnatcoll-python.ads
+include/gnatcoll/gnatcoll_python.static/gnatcoll-scripts-python.adb
+include/gnatcoll/gnatcoll_python.static/gnatcoll-scripts-python.ads
+include/gnatcoll/gnatcoll_python.static/python_support.c
+include/gnatcoll/gnatcoll_readline.static/gnatcoll-readline.adb
+include/gnatcoll/gnatcoll_readline.static/gnatcoll-readline.ads
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite-builder.adb
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite-builder.ads
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite-gnade.adb
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite-gnade.ads
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite.adb
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-sql-sqlite.ads
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref-database.adb
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref-database.ads
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref-database_names.ads
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref.adb
+include/gnatcoll/gnatcoll_sqlite.static/gnatcoll-xref.ads
+include/gnatcoll/gnatcoll_sqlite.static/shell.c
+include/gnatcoll/gnatcoll_sqlite.static/sqlite3.c
+include/gnatcoll/gnatcoll_sqlite.static/sqlite3.h
+include/gnatcoll/gnatcoll_sqlite.static/sqlite3ext.h
+include/gnatcoll/gpr.static/gpr-ali.adb
+include/gnatcoll/gpr.static/gpr-ali.ads
+include/gnatcoll/gpr.static/gpr-attr-pm.adb
+include/gnatcoll/gpr.static/gpr-attr-pm.ads
+include/gnatcoll/gpr.static/gpr-attr.adb
+include/gnatcoll/gpr.static/gpr-attr.ads
+include/gnatcoll/gpr.static/gpr-com.ads
+include/gnatcoll/gpr.static/gpr-conf.adb
+include/gnatcoll/gpr.static/gpr-conf.ads
+include/gnatcoll/gpr.static/gpr-cset.adb
+include/gnatcoll/gpr.static/gpr-cset.ads
+include/gnatcoll/gpr.static/gpr-debug.adb
+include/gnatcoll/gpr.static/gpr-debug.ads
+include/gnatcoll/gpr.static/gpr-dect.adb
+include/gnatcoll/gpr.static/gpr-dect.ads
+include/gnatcoll/gpr.static/gpr-env.adb
+include/gnatcoll/gpr.static/gpr-env.ads
+include/gnatcoll/gpr.static/gpr-err-scanner.adb
+include/gnatcoll/gpr.static/gpr-err.adb
+include/gnatcoll/gpr.static/gpr-err.ads
+include/gnatcoll/gpr.static/gpr-erroutc.adb
+include/gnatcoll/gpr.static/gpr-erroutc.ads
+include/gnatcoll/gpr.static/gpr-ext.adb
+include/gnatcoll/gpr.static/gpr-ext.ads
+include/gnatcoll/gpr.static/gpr-names.adb
+include/gnatcoll/gpr.static/gpr-names.ads
+include/gnatcoll/gpr.static/gpr-nmsc.adb
+include/gnatcoll/gpr.static/gpr-nmsc.ads
+include/gnatcoll/gpr.static/gpr-opt.ads
+include/gnatcoll/gpr.static/gpr-osint.adb
+include/gnatcoll/gpr.static/gpr-osint.ads
+include/gnatcoll/gpr.static/gpr-output.adb
+include/gnatcoll/gpr.static/gpr-output.ads
+include/gnatcoll/gpr.static/gpr-part.adb
+include/gnatcoll/gpr.static/gpr-part.ads
+include/gnatcoll/gpr.static/gpr-pp.adb
+include/gnatcoll/gpr.static/gpr-pp.ads
+include/gnatcoll/gpr.static/gpr-proc.adb
+include/gnatcoll/gpr.static/gpr-proc.ads
+include/gnatcoll/gpr.static/gpr-scans.adb
+include/gnatcoll/gpr.static/gpr-scans.ads
+include/gnatcoll/gpr.static/gpr-sinput.adb
+include/gnatcoll/gpr.static/gpr-sinput.ads
+include/gnatcoll/gpr.static/gpr-snames.adb
+include/gnatcoll/gpr.static/gpr-snames.ads
+include/gnatcoll/gpr.static/gpr-stamps.adb
+include/gnatcoll/gpr.static/gpr-strt.adb
+include/gnatcoll/gpr.static/gpr-strt.ads
+include/gnatcoll/gpr.static/gpr-tempdir.adb
+include/gnatcoll/gpr.static/gpr-tempdir.ads
+include/gnatcoll/gpr.static/gpr-tree.adb
+include/gnatcoll/gpr.static/gpr-tree.ads
+include/gnatcoll/gpr.static/gpr-util.adb
+include/gnatcoll/gpr.static/gpr-util.ads
+include/gnatcoll/gpr.static/gpr.adb
+include/gnatcoll/gpr.static/gpr.ads
 lib/gnat/gnatcoll.gpr
-lib/gnat/gnatcoll/gnatcoll.lgpr
-lib/gnat/gnatcoll/gnatcoll_gmp.lgpr
-lib/gnat/gnatcoll/gnatcoll_gtk.lgpr
-lib/gnat/gnatcoll/gnatcoll_iconv.lgpr
-lib/gnat/gnatcoll/gnatcoll_postgres.lgpr
-lib/gnat/gnatcoll/gnatcoll_python.lgpr
-lib/gnat/gnatcoll/gnatcoll_readline.lgpr
-lib/gnat/gnatcoll/gnatcoll_sqlite.lgpr
+lib/gnat/gnatcoll_full.gpr
 lib/gnat/gnatcoll_gmp.gpr
 lib/gnat/gnatcoll_gtk.gpr
 lib/gnat/gnatcoll_iconv.gpr
